Show / Hide Table of Contents

# Interface IGroupChannel

Represents a generic private group channel.

##### Inherited Members

IMessageChannel.SendMessageAsync(String, Boolean, Embed, RequestOptions)
IMessageChannel.SendFileAsync(String, String, Boolean, Embed, RequestOptions, Boolean)
IMessageChannel.SendFileAsync(Stream, String, String, Boolean, Embed, RequestOptions, Boolean)
IMessageChannel.GetMessageAsync(UInt64, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(Int32, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(UInt64, Direction, Int32, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(IMessage, Direction, Int32, CacheMode, RequestOptions)
IMessageChannel.GetPinnedMessagesAsync(RequestOptions)
IMessageChannel.DeleteMessageAsync(UInt64, RequestOptions)
IMessageChannel.DeleteMessageAsync(IMessage, RequestOptions)
IMessageChannel.TriggerTypingAsync(RequestOptions)
IMessageChannel.EnterTypingState(RequestOptions)
IPrivateChannel.Recipients
IAudioChannel.ConnectAsync(Boolean, Boolean, Boolean)
IAudioChannel.DisconnectAsync()
IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IGroupChannel : IMessageChannel, IPrivateChannel, IAudioChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Methods

| Improve this Doc View Source

#### LeaveAsync(RequestOptions)

Leaves this group.

##### Declaration

    Task LeaveAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task | A task that represents the asynchronous leave operation.